Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class ReverseListIterator

Field Summary
`ListIterator` | `delegate`

Constructor Summary
`ReverseListIterator(List list)` Constructs a new `ReverseListIterator` for the provided list.

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Constructor Detail

### ReverseListIterator

    public ReverseListIterator(List list)

  Constructs a new `ReverseListIterator` for the provided list.
  param:
    list the list to iterate over in reverse

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Object next()

### remove

    public void remove()